import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.Query;

public class Main {
  static EntityManagerFactory emf = Persistence.createEntityManagerFactory("JPAService");
  static EntityManager em = emf.createEntityManager();

  public static void main(String[] a) throws Exception {
    em.getTransaction().begin();
    
    
    Student student = new Student();
    student.setName("Joe");
    Address address = new Address();
    address.setCity("city");
    address.setStudent(student);
  //em.persist(address);
    
    student.setAddress(address);
      
    em.persist(student);
    em.flush();
    em.getTransaction().commit();

    
    
    
    Query query = em.createQuery("SELECT e FROM Address e");
    List<Address> list = (List<Address>) query.getResultList();
    System.out.println(list.get(0).getStudent());
    
    
    em.close();
    emf.close();
    
    Helper.checkData();
  }
}
